« PHP 8.3 Manual トップ
著作権 »
per page, with , order by , clip by
Results of 1 - 10 of about 94 for DateTimeInterface (0.002 sec.)
DateTimeInterface インターフェイス 10321
« DateTimeImmutable::sub DateTimeInterface::diff » PHP Manual Date/Time DateTimeInterface インターフェイス 検索 DateTimeInterface インターフェイス (PHP 5 >= 5.5.0, PHP 7, PHP 8) はじめに DateTimeInterface は、 DateTimeImmutable や DateTime ... や DateTime をフォーマットするための共通の定数も、 このインターフェイスに定義されています。 インターフェイス概要 interface DateTimeInterface { /* 定数 */ public const string ATOM = "Y-m-d\\TH:i:sP" ; public const string COOKIE = "l, d-M-Y H:i:s T" ; public const ... const string RSS = "D, d M Y H:i:s O" ; public const string W3C = "Y-m-d\\TH:i:sP" ; /* メソッド */ public function diff ( DateTimeInterface $targetObject , bool $absolute = false ): DateInterval public function format ( string $format ): string public function g ... rialization hooks are provided by __unserialize() and __serialize()' , )] public function __wakeup (): void } 定義済み定数 DateTimeInterface::ATOM string DATE_ATOM Atom (例: 2005-08-15T15:52:01+00:00)。ISO-8601、RFC 3339、および XML Schema と互換性があります Date ...
https://man.mtool.work/php/8.3/class.datetimeinterface.html
DateTimeInterface インターフェイス 10295
« DateTimeImmutable::sub DateTimeInterface::diff » PHP Manual Date/Time DateTimeInterface インターフェイス 検索 DateTimeInterface インターフェイス (PHP 5 >= 5.5.0, PHP 7, PHP 8) はじめに DateTimeInterface は、 DateTimeImmutable や DateTime ... や DateTime をフォーマットするための共通の定数も、 このインターフェイスに定義されています。 インターフェイス概要 interface DateTimeInterface { /* 定数 */ public const string ATOM = "Y-m-d\\TH:i:sP" ; public const string COOKIE = "l, d-M-Y H:i:s T" ; public const ... const string RSS = "D, d M Y H:i:s O" ; public const string W3C = "Y-m-d\\TH:i:sP" ; /* メソッド */ public function diff ( DateTimeInterface $targetObject , bool $absolute = false ): DateInterval public function format ( string $format ): string public function g ... rialization hooks are provided by __unserialize() and __serialize()' , )] public function __wakeup (): void } 定義済み定数 DateTimeInterface::ATOM string DATE_ATOM Atom (例: 2005-08-15T15:52:01+00:00)。ISO-8601、RFC 3339、および XML Schema と互換性があります Date ...
https://man.mtool.work/php/8.3/class.datetimeinterface.html
DateTime クラス 9701
« 日付/時刻 の算術 DateTime::add » PHP Manual Date/Time DateTime クラス 検索 DateTime クラス (PHP 5 >= 5.2.0, PHP 7, PHP 8) はじめに 日付と時刻を表現するクラスです。 このクラスは、 DateTimeImmutable と同じ振る舞いをします。 但し、 DateTime: ... しい挙動をデフォルトで実現するには、 DateTime ではなく、 DateTimeImmutable を使います。 クラス概要 class DateTime implements DateTimeInterface { /* 継承した定数 */ public const string DateTimeInterface::ATOM = "Y-m-d\\TH:i:sP" ; public const string DateTimeInterfac ... e::COOKIE = "l, d-M-Y H:i:s T" ; public const string DateTimeInterface::ISO8601 = "Y-m-d\\TH:i:sO" ; public const string DateTimeInterface::ISO8601_EXPANDED = "X-m-d\\TH:i:sP" ; public const st ... ring DateTimeInterface::RFC822 = "D, d M y H:i:s O" ; public const string DateTimeInterface::RFC850 = "l, d-M-y H:i:s T" ; public const string Da ...
https://man.mtool.work/php/8.3/class.datetime.html
DateTime クラス 9701
« 日付/時刻 の算術 DateTime::add » PHP Manual Date/Time DateTime クラス 検索 DateTime クラス (PHP 5 >= 5.2.0, PHP 7, PHP 8) はじめに 日付と時刻を表現するクラスです。 このクラスは、 DateTimeImmutable と同じ振る舞いをします。 但し、 DateTime: ... しい挙動をデフォルトで実現するには、 DateTime ではなく、 DateTimeImmutable を使います。 クラス概要 class DateTime implements DateTimeInterface { /* 継承した定数 */ public const string DateTimeInterface::ATOM = "Y-m-d\\TH:i:sP" ; public const string DateTimeInterfac ... e::COOKIE = "l, d-M-Y H:i:s T" ; public const string DateTimeInterface::ISO8601 = "Y-m-d\\TH:i:sO" ; public const string DateTimeInterface::ISO8601_EXPANDED = "X-m-d\\TH:i:sP" ; public const st ... ring DateTimeInterface::RFC822 = "D, d M y H:i:s O" ; public const string DateTimeInterface::RFC850 = "l, d-M-y H:i:s T" ; public const string Da ...
https://man.mtool.work/php/8.3/class.datetime.html
DateTimeImmutable クラス 9489
« DateTime::sub DateTimeImmutable::add » PHP Manual Date/Time DateTimeImmutable クラス 検索 DateTimeImmutable クラス (PHP 5 >= 5.5.0, PHP 7, PHP 8) はじめに 日付と時刻を表現します。 このクラスは DateTime と同じ振る舞いをします。 但し、 Date ... 、 状態を変更して新しいオブジェクトを返すメソッドが呼び出された時を除きます。 クラス概要 class DateTimeImmutable implements DateTimeInterface { /* 継承した定数 */ public const string DateTimeInterface::ATOM = "Y-m-d\\TH:i:sP" ; public const string DateTimeInterfac ... e::COOKIE = "l, d-M-Y H:i:s T" ; public const string DateTimeInterface::ISO8601 = "Y-m-d\\TH:i:sO" ; public const string DateTimeInterface::ISO8601_EXPANDED = "X-m-d\\TH:i:sP" ; public const st ... ring DateTimeInterface::RFC822 = "D, d M y H:i:s O" ; public const string DateTimeInterface::RFC850 = "l, d-M-y H:i:s T" ; public const string Da ...
https://man.mtool.work/php/8.3/class.datetimeimmutable.html
DateTimeImmutable クラス 9489
« DateTime::sub DateTimeImmutable::add » PHP Manual Date/Time DateTimeImmutable クラス 検索 DateTimeImmutable クラス (PHP 5 >= 5.5.0, PHP 7, PHP 8) はじめに 日付と時刻を表現します。 このクラスは DateTime と同じ振る舞いをします。 但し、 Date ... 、 状態を変更して新しいオブジェクトを返すメソッドが呼び出された時を除きます。 クラス概要 class DateTimeImmutable implements DateTimeInterface { /* 継承した定数 */ public const string DateTimeInterface::ATOM = "Y-m-d\\TH:i:sP" ; public const string DateTimeInterfac ... e::COOKIE = "l, d-M-Y H:i:s T" ; public const string DateTimeInterface::ISO8601 = "Y-m-d\\TH:i:sO" ; public const string DateTimeInterface::ISO8601_EXPANDED = "X-m-d\\TH:i:sP" ; public const st ... ring DateTimeInterface::RFC822 = "D, d M y H:i:s O" ; public const string DateTimeInterface::RFC850 = "l, d-M-y H:i:s T" ; public const string Da ...
https://man.mtool.work/php/8.3/class.datetimeimmutable.html
Unix タイムスタンプのマイクロ秒部分を取得する 9278
« DateTimeInterface::format DateTimeInterface::getOffset » PHP Manual DateTimeInterface Unix タイムスタンプのマイクロ秒部分を取得する 検索 DateTimeInterface::getMicrosecond DateTimeImmutable::getMicrosecond DateTime::getMicrosecond (PHP 8 > ... = 8.4.0) DateTimeInterface::getMicrosecond -- DateTimeImmutable::getMicrosecond -- DateTime::getMicrosecond — Unix タイムスタンプのマイクロ秒部分を取 ... 得する 説明 public function DateTimeInterface::getMicrosecond (): int public function DateTimeImmutable::getMicrosecond (): int public function DateTime::getMicrosecond ... メータ この関数にはパラメータはありません。 戻り値 その日付をあらわす Unix タイムスタンプのマイクロ秒部分を返します。 例 例1 DateTimeInterface::getMicrosecond() の例 <?php $date = new DateTimeImmutable ( '2024-01-01 12:34:56.789123' ); var_dump ( $date -> format ( ...
https://man.mtool.work/php/8.3/datetimeinterface.getmicrosecond.html
Unix タイムスタンプのマイクロ秒部分を取得する 9278
« DateTimeInterface::format DateTimeInterface::getOffset » PHP Manual DateTimeInterface Unix タイムスタンプのマイクロ秒部分を取得する 検索 DateTimeInterface::getMicrosecond DateTimeImmutable::getMicrosecond DateTime::getMicrosecond (PHP 8 > ... = 8.4.0) DateTimeInterface::getMicrosecond -- DateTimeImmutable::getMicrosecond -- DateTime::getMicrosecond — Unix タイムスタンプのマイクロ秒部分を取 ... 得する 説明 public function DateTimeInterface::getMicrosecond (): int public function DateTimeImmutable::getMicrosecond (): int public function DateTime::getMicrosecond ... メータ この関数にはパラメータはありません。 戻り値 その日付をあらわす Unix タイムスタンプのマイクロ秒部分を返します。 例 例1 DateTimeInterface::getMicrosecond() の例 <?php $date = new DateTimeImmutable ( '2024-01-01 12:34:56.789123' ); var_dump ( $date -> format ( ...
https://man.mtool.work/php/8.3/datetimeinterface.getmicrosecond.html
ふたつの DateTime オブジェクトの差を返す 8935
« DateTimeInterface DateTimeInterface::format » PHP Manual DateTimeInterface ふたつの DateTime オブジェクトの差を返す 検索 DateTimeInterface::diff DateTimeImmutable::diff DateTime::diff date_diff (PHP 5 >= 5.3.0, PHP 7, PHP 8) DateTimeInterface ... le::diff -- DateTime::diff -- date_diff — ふたつの DateTime オブジェクトの差を返す 説明 オブジェクト指向型 public function DateTimeInterface::diff ( DateTimeInterface $targetObject , bool $absolute = false ): DateInterval public function DateTimeImmutable::diff ( ... DateTimeInterface $targetObject , bool $absolute = false ): DateInterval public function DateTime::diff ( DateTimeInterface $targetObject , ... bool $absolute = false ): DateInterval 手続き型 function date_diff ( DateTimeInterface $baseObject , DateTimeInterface $targetObject , bool $absolute = false ): DateInterval ふたつの DateTimeInterface オブジェ ...
https://man.mtool.work/php/8.3/datetime.diff.html
ふたつの DateTime オブジェクトの差を返す 8896
« DateTimeInterface DateTimeInterface::format » PHP Manual DateTimeInterface ふたつの DateTime オブジェクトの差を返す 検索 DateTimeInterface::diff DateTimeImmutable::diff DateTime::diff date_diff (PHP 5 >= 5.3.0, PHP 7, PHP 8) DateTimeInterface ... le::diff -- DateTime::diff -- date_diff — ふたつの DateTime オブジェクトの差を返す 説明 オブジェクト指向型 public function DateTimeInterface::diff ( DateTimeInterface $targetObject , bool $absolute = false ): DateInterval public function DateTimeImmutable::diff ( ... DateTimeInterface $targetObject , bool $absolute = false ): DateInterval public function DateTime::diff ( DateTimeInterface $targetObject , ... bool $absolute = false ): DateInterval 手続き型 function date_diff ( DateTimeInterface $baseObject , DateTimeInterface $targetObject , bool $absolute = false ): DateInterval ふたつの DateTimeInterface オブジェ ...
https://man.mtool.work/php/8.3/datetime.diff.html
PREV 1 2 3 4 5 6 7 8 9 10 NEXT